.radio-group {
  display: flex;
  flex-direction: row;
  .radio-button {
    display: flex;
    position: relative;
    .text {
      min-width: $radio-button-width;
      min-height: $radio-button-height;
      width: auto;
      border: 1px solid $radio-button-border-color;
      border-right: none;
      cursor: pointer;
      display: flex;
      justify-content: center;
      align-items: center;
      background-color: #eee;
      padding: 0 5px;
      text-align: center;
    }
    [type="radio"] {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      z-index: -1;
      opacity: 0;
      &:checked {
        +.text {
          color: #fff;
          background-color: $radio-button-color;
          border-right: 1px solid darken($radio-button-color, 10%);
          border-color: darken($radio-button-color, 10%);
        }
      }
      &.error {
        +.text {
          color: $main-input-fail-color;
          background-color: $main-input-fail-bg-color;
          border-color: $main-input-fail-border-color;
        }
        &:checked {
          +.text {
            color: #fff;
            background-color: $radio-button-color;
            border-right: 1px solid darken($radio-button-color, 10%);
            border-color: darken($radio-button-color, 10%);
          }
        }
      }
      &[required] {
        +.text {
          border-color: $main-input-required-border-color;
          background-color: $main-input-required-bg-color;
        }
        &:checked {
          +.text {
            color: #fff;
            background-color: $radio-button-color;
            border-right: 1px solid darken($radio-button-color, 10%);
            border-color: darken($radio-button-color, 10%);
          }
        }
      }
      &:disabled {
        &:checked {
          +.text {
            border-color: $radio-button-checked-disabled-border-color;
            background-color: $radio-button-checked-disabled-bg-color;
            color: #fff;
          }
        }
        +.text {
          color: $disabled-color;
          background-color: $disabled-bg-color;
          border-color: $disabled-border-color;
        }
      }
    }
    &:first-of-type {
      .text {
        border-top-left-radius: $radio-button-border-radius;
        border-bottom-left-radius: $radio-button-border-radius;
      }
    }
    &:last-of-type {
      .text {
        border-top-right-radius: $radio-button-border-radius;
        border-bottom-right-radius: $radio-button-border-radius;
        border-right: 1px solid $radio-button-border-color;
      }
    }
  }

  &.--md {
    .radio-button {
      .text {
        width: 120px;
      }
    }
  }
}
